## ros-jazzy-mapviz-plugins 2.4.3

=== debian/changelog ===
ros-jazzy-mapviz-plugins (2.4.3-1bookworm) bookworm; urgency=high

  * update plugin subscribers to use all of qos (#827 <https://github.com/swri-robotics/mapviz/issues/827>)
    Co-authored-by: Ben <mailto:benjamin.andrew@swri.org>
    Co-authored-by: David Anthony <mailto:djanthony@gmail.com>
  * Added kludgy install for autogened TopicSelect header that is required if external plugin packages include topic_select.h (#825 <https://github.com/swri-robotics/mapviz/issues/825>)
  * Contributors: DangitBen, Robert Brothers

 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 17 Sep 2024 16:00:00 -0000

ros-jazzy-mapviz-plugins (2.4.2-1bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Sun, 11 Aug 2024 16:00:00 -0000

ros-jazzy-mapviz-plugins (2.4.1-1bookworm) bookworm; urgency=high

  * Code cleanup (#820 <https://github.com/swri-robotics/mapviz/issues/820>)
    * Switching to plus sign for concatenation
    * Applying code changes that should have gone in previous release
  * Contributors: David Anthony

 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 08 Aug 2024 16:00:00 -0000

ros-jazzy-mapviz-plugins (2.4.0-1bookworm) bookworm; urgency=high

  * Configurable qos (#818 <https://github.com/swri-robotics/mapviz/issues/818>)
    * Adding configurable QoS to UI
    * Changing lookup duration to reduce lag
    ---------
    Co-authored-by: Robert Brothers <mailto:33141599+rjb0026@users.noreply.github.com>
  * Improve Font Selection Error Handling (#794 <https://github.com/swri-robotics/mapviz/issues/794>)
  * Contributors: David Anthony

 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 08 Aug 2024 16:00:00 -0000

ros-jazzy-mapviz-plugins (2.3.0-1bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 23 Aug 2023 16:00:00 -0000

ros-jazzy-mapviz-plugins (2.2.2-1bookworm) bookworm; urgency=high

  * Add ros_environment as dependency
  * Iron Compatibility (#779 <https://github.com/swri-robotics/mapviz/issues/779>)
  * Contributors: David Anthony

 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 06 Jun 2023 16:00:00 -0000

ros-jazzy-mapviz-plugins (2.2.1-1bookworm) bookworm; urgency=high

  * Updating maintainers list (#778 <https://github.com/swri-robotics/mapviz/issues/778>)
  * Fix Plan Route plugin in ROS2 Humble (#765 <https://github.com/swri-robotics/mapviz/issues/765>)
  * Merge pull request #759 <https://github.com/swri-robotics/mapviz/issues/759> from agyoungs/fix-marker-plugin-subs
  * Check topic for type to determine which subscription callback to trigger
  * Contributors: Alex Youngs, David Anthony, P. J. Reed

 -- Southwest Research Institute <swri-robotics@swri.org>  Mon, 29 May 2023 16:00:00 -0000

ros-jazzy-mapviz-plugins (2.1.0-1bookworm) bookworm; urgency=high

  * Constrain the minimum line and point marker sizes to be 1 pixel wide. (#704 <https://github.com/swri-robotics/mapviz/issues/704>)
  * ROS Foxy support (#695 <https://github.com/swri-robotics/mapviz/issues/695>)
  * Update the displayed distance continuously while moving a point.
  * Use higher precision in the coordinate picker for wgs84 (#692 <https://github.com/swri-robotics/mapviz/issues/692>)
  * Clear the namespace list after hitting the clear button. (#691 <https://github.com/swri-robotics/mapviz/issues/691>)
  * Contributors: Matt Grogan, Matthew, P. J. Reed, Marc Alban

 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 21 Oct 2020 16:00:00 -0000

ros-jazzy-mapviz-plugins (2.0.0-1bookworm) bookworm; urgency=high

  * Port mapviz to ROS 2 (#672 <https://github.com/swri-robotics/mapviz/issues/672>)
  * Contributors: Daniel D'Souza, Matthew Bries, Matthew Grogan, P. J. Reed, Jason Gassaway, John Reyes, Jacob Hassold, Kevin Nickels, Roger Strain

 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 12 May 2020 16:00:00 -0000

ros-jazzy-mapviz-plugins (1.2.0-1bookworm) bookworm; urgency=high

  * Add text to measuring plugin (#640 <https://github.com/swri-robotics/mapviz/issues/640>)
  * Add mapviz plug-in for PoseStamped messages. (#641 <https://github.com/swri-robotics/mapviz/issues/641>)
  * Fix occupancy grid to load color scheme from configuration. (#642 <https://github.com/swri-robotics/mapviz/issues/642>)
  * Restore GL_UNPACK_ALIGNMENT to 4 to prevent corruption of Qt font rendering. (#643 <https://github.com/swri-robotics/mapviz/issues/643>)
  * Add ability to show and hide markers by namespace (#636 <https://github.com/swri-robotics/mapviz/issues/636>)
  * Fixed layout of MeasuringPlugin (#633 <https://github.com/swri-robotics/mapviz/issues/633>)
  * Fixed marker plugin to use swri_transform_util to ensure wgs84 markers work properly (#635 <https://github.com/swri-robotics/mapviz/issues/635>)
  * Contributors: Arkady Shapkin, Marc Alban, Matthew, Matthew Grogan, agyoungs

 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 03 Sep 2019 16:00:00 -0000

ros-jazzy-mapviz-plugins (1.1.1-1bookworm) bookworm; urgency=high

  * Textured Marker Adjustments (#611 <https://github.com/swri-robotics/mapviz/issues/611>, #616 <https://github.com/swri-robotics/mapviz/issues/616>) (#625 <https://github.com/swri-robotics/mapviz/issues/625>)
  * fixed issue #623 <https://github.com/swri-robotics/mapviz/issues/623> by updating UI field to read "Draw Style:" (#624 <https://github.com/swri-robotics/mapviz/issues/624>)
  * Contributors: mattrich37

 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 16 May 2019 16:00:00 -0000

ros-jazzy-mapviz-plugins (1.1.0-1bookworm) bookworm; urgency=high

  * Improve MarkerPlugin (#603 <https://github.com/swri-robotics/mapviz/issues/603>)
    * Improved performance of MarkerPlugin::handleMarker()
    * Support Text marker alpha channel
    * Don't use QColor for glColor4f
    * Use marker namespace and id as markers map key

